/**
  ******************************************************************************
  * @file           : IS3_INST.h
  * @author         : xin
  * @brief          : None
  * @attention      : None
  * @date           : 2024/8/14
  ******************************************************************************
  */

//
// Created by xin on 2024/8/14.
//

#ifndef IS3LIB_IS3_INST_H
#define IS3LIB_IS3_INST_H
#include "comon.h"
#ifdef __cplusplus
extern "C"   {
#endif


__declspec(dllexport) int IS3SensorInit();
 __declspec(dllexport)  void IS3Set_Serial_FUN(SERIALWRITE writefunc,SERIALWRITE readfunc);
__declspec(dllexport) STRsensorinfo_C IS3Get_SensorInfo();
__declspec(dllexport) int IS3OptSnenser(int percent);
__declspec(dllexport) int IS3GetData(uint16_t *outdata,int shuttertime);
    __declspec(dllexport) int IS3SetWeaveLenthCoeff(double *a,int lenth);
__declspec(dllexport) void IS3SetShutterOpen(int isopen);
#ifdef __cplusplus
}
#endif


#endif //IS3LIB_IS3_INST_H
